<ion-header *ngIf="review">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/film/{{review.film_id}}"></ion-back-button>
      <!-- arrumar rota -->
      <p>Review de {{review.user.user_name}}</p>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="review">
  <ion-grid class="grid-review">
    <ion-row class="row-film-user">
      <ion-col class="col-film" size="4">
        <img src="{{review.film.film_cover}}">
      </ion-col>

      <ion-col class="col-user">
        <ion-row routerLink='/tabs/tab3/{{review.user.id}}' class="row-avatar">
          <ion-avatar>
            <img src="{{review.user.user_avatar}}">
          </ion-avatar>
          <p>{{review.user.user_name}}</p>
          <app-like *ngIf="user" [id]="id"></app-like>
        </ion-row>

        <ion-row class="film-name">
          <p>{{review.film.title}}</p>
        </ion-row>

        <ion-row class="user-rating">
          <ion-icon name="star" color="success"></ion-icon>
          <ion-icon name="star" color="success"></ion-icon>
          <ion-icon name="star" color="success"></ion-icon>
          <ion-icon name="star" color="success"></ion-icon>
          <ion-icon name="star" color="success"></ion-icon>
        </ion-row>
      </ion-col>
    </ion-row>

    <ion-row class="row-review">
      <ion-col>
        <p class="review">{{review.text}}</p>
      </ion-col>
    </ion-row>
  </ion-grid>

  <div class="partition"></div>

  <ion-grid class="grid-comments">
    <ion-row class="row-title">
      <ion-col>
        <p>Comentários</p>
      </ion-col>
    </ion-row>
    <ion-card *ngFor="let comment of comments">
      <app-user-comment [comment]="comment"></app-user-comment>
      <div class="buttons" *ngIf="comment && user">
        <app-edit-post *ngIf="comment.user.id==user.id" routerLink="/edit-comment/{{comment.id}}"></app-edit-post>
        <app-delete-post (click)="deleteComment(comment.id,i)" *ngIf="comment.user.id==user.id || user.is_admin==1"></app-delete-post>
      </div>
    </ion-card>
  </ion-grid>
  <app-add (click)="go()"></app-add>
  <div class="aaaaaaa"></div>
</ion-content>

